Name:           qemu-dtb
Version:        0.1
Release:        1%{?dist}
Summary:        Dtb for qemu

# This is the qemu licences. Don't know what the actual output file license really is
License:        GPLv2 and BSD and MIT and CC-BY

BuildRequires:  qemu-kvm u-boot-aboot
ExclusiveArch: aarch64

%description
Dtb for qemu

%prep
rm -rf %{name}-{%version}
mkdir %{name}-{%version}

%build
echo BAR
cd %{name}-{%version}
export PATH=$PATH:/usr/libexec
qemu-kvm -machine virt -m 4G -cpu cortex-a57 -bios /boot/u-boot.bin -machine dumpdtb=qemu.dtb

%install
cd %{name}-{%version}
mkdir -p $RPM_BUILD_ROOT/boot
cp qemu.dtb $RPM_BUILD_ROOT/boot/

%files
/boot/qemu.dtb

%changelog
* Wed Aug 17 2022 Alexander Larsson <alexl@redhat.com>
- Initial version
